Name:           cbootimage
Version:        1.4
Release:        2%{?dist}
Summary:       	Tools to dump and generate boot config table on Tegra devices

License:        GPLv2
URL:            https://github.com/NVIDIA/cbootimage
Source0:        https://github.com/NVIDIA/cbootimage/archive/v%{version}.tar.gz

BuildRequires:  libtool



%description
This package contains two programs to parse the boot config table (bct)
of Tegra SoC based devices and to generate a new bct with appended
bootloader (e.g. u-boot) read to be flashed to a storage device.
The boot config table is used in the early boot process to setup the sdhci,
DRAM memory controller and also points to the position of the bootloader.

For more information, see:
http://http.download.nvidia.com/tegra-public-appnotes/bct-overview.html


%prep
%setup -q


%build
autoreconf -vif
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%doc COPYING
%{_bindir}/bct_dump
%{_bindir}/cbootimage

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.4-1
- Update to 1.4 - adds Tegra132 support

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.3-1
- Update to 1.3

* Sat Oct 05 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.2-1
- Update to 1.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-2
- Update license field as GPLv2 Only
- Add source checkout description
- Spec Clean-up
- Update description

* Sat Apr 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-1
- Initial package

